[script]
n0=
n1=
n2=;-------------> ALIAS DDL <---------------;
n3=alias mdx { var %dll $mircdirAddons\dll\mdx\mdx.dll } | return $dll(%dll,$1,$2-) }
n4=alias dialogx { return $mircAddons\dll\mdx\dialog.mdx }
n5=alias mdxbegin { mdx SetMircVersion $version | mdx MarkDialog $dname }
n6=;----------------------------;
n7=
n8=alias saluti { dialog -m saluti saluti }
n9=
n10=dialog saluti {
n11=  Title "Saluti  Angel_Red_Script"
n12=  size -1 -1 124 117
n13=  option dbu
n14=  tab "Agli User",1, 2 0 120 115
n15=  tab "Al Chan",2,
n16=  tab "Risposte",3,
n17=  button "OK",4,7 93 30 12,ok
n18=  button "Annulla",5,88 93 30 12,cancel
n19=  ;tab 1 - Agli user
n20=  text "Imposta il notice di saluto per gli utenti che entrano e/o escono dai tuoi chan joinati.",7,7 18 110 15,tab 1
n21=  text " Imposta messaggio:",8, 7 35 60 10,tab 1
n22=  check "on join",9, 90 34 30 10,tab 1
n23=  edit "",10, 7 45 110 10,tab 1,autohs
n24=  text " Imposta messaggio:",11, 7 65 60 10,tab 1
n25=  check "on part",12, 90 64 30 10,tab 1
n26=  edit "",13, 7 75 110 10,tab 1,autohs
n27=  ;tab 2 - Al chan
n28=  text "Imposta il messaggio di saluto quando entri in un chan e/o il messaggio di quit.",14,7 18 110 15,tab 2
n29=  text " Imposta messaggio:",15, 7 35 60 10,tab 2
n30=  check "on join",16, 90 34 30 10,tab 2
n31=  edit "",17, 7 45 110 10,tab 2,autohs
n32=  text " Imposta messaggio:",18, 7 65 60 10,tab 2
n33=  button "quit",19, 90 64 25 9,tab 2
n34=  edit "",20, 7 75 110 10,tab 2,autohs  
n35=  ;tab 3 - Risposte
n36=  text "Imposta Risposte al saluto degli altri utenti.",21,7 16 110 15,tab 3
n37=  text "Alla parola:",22, 20 36 60 10,tab 3
n38=  text "Rispondi con:",23, 76 36 35 10,tab 3
n39=  edit "",24, 7 45 53 9,tab 3,autohs
n40=  edit "",25, 64 45 53 9,tab 3,autohs
n41=  edit "",26, 7 55 53 9,tab 3,autohs
n42=  edit "",27, 64 55 53 9,tab 3,autohs
n43=  edit "",28, 7 65 53 9,tab 3,autohs
n44=  edit "",29, 64 65 53 9,tab 3,autohs
n45=  edit "",30, 7 75 53 9,tab 3,autohs
n46=  edit "",31, 64 75 53 9,tab 3,autohs
n47=  check "Abilita",32, 7 26 30 10,tab3
n48=}
n49=
n50=on *:dialog:saluti:init:0: {
n51=  ;mdx
n52=  mdxbegin
n53=  mdx SetFont $dname  4,5 16  autohs
n54=  mdx SetFont $dname  8,9,11,12,15,16,18,19,22,23,32 14  autohs
n55=  mdx SetColor $dname 10,13,17,20,24,25,26,27,28,29,30,31 text $rgb(0,0,0)
n56=
n57=  mdx SetFont $dname 10,13,17,20,24,25,26,27,28,29,30,31 13  autohs
n58=  mdx SetFont $dname 7,14,21 +iu 12  500 autohs
n59=
n60=  ;dialog  
n61=  if (%user.join = on) { did -c saluti 9 }
n62=  if (%user.join = off) { did -u saluti 9 }
n63=  did -a saluti 10 %user.join.mess
n64=  if (%user.part = on) { did -c saluti 12 }
n65=  if (%user.part = off) { did -u saluti 12 }
n66=  did -a saluti 13 %user.part.mess 
n67=  if (%chan.join = on) { did -c saluti 16 }
n68=  if (%chan.join = off) { did -u saluti 16 }
n69=  did -a saluti 17 %chan.join.mess
n70=  did -a saluti 20 %chan.part.mess
n71=  if (%risp.saluto = on) { did -c saluti 32 }
n72=  if (%risp.saluti = off) { did -u saluti 32 }
n73=  did -a saluti 24 %risp.parola1
n74=  did -a saluti 25 %risp.risposta1
n75=  did -a saluti 26 %risp.parola2
n76=  did -a saluti 27 %risp.risposta2
n77=  did -a saluti 28 %risp.parola3
n78=  did -a saluti 29 %risp.risposta3
n79=  did -a saluti 30 %risp.parola4
n80=  did -a saluti 31 %risp.risposta4
n81=}
n82=;tab1
n83=on *:dialog:saluti:sclick:9: {
n84=  if ($did(9).state = 1) { set %user.join on }
n85=  else { set %user.join off }
n86=}
n87=on *:dialog:saluti:edit:10: { set %user.join.mess $did(saluti,10) }
n88=on *:dialog:saluti:sclick:12: {
n89=  if ($did(12).state = 1) { set %user.part on }
n90=  else { set %user.part off }
n91=}
n92=on *:dialog:saluti:edit:13: { set %user.part.mess $did(saluti,13) }
n93=;tab2
n94=on *:dialog:saluti:sclick:16: {
n95=  if ($did(16).state = 1) { set %chan.join on }
n96=  else { set %chan.join off }
n97=}
n98=on *:dialog:saluti:edit:17: { set %chan.join.mess $did(saluti,17) }
n99=on *:dialog:saluti:sclick:19: { /quit %chan.part.mess }
n100=on *:dialog:saluti:edit:20: { set %chan.part.mess $did(saluti,20) }
n101=;tab 3
n102=on *:dialog:saluti:sclick:32: {
n103=  if ($did(32).state = 1) { set %risp.saluto on }
n104=  else { set %risp.saluto off }
n105=}
n106=on *:dialog:saluti:edit:24: { set %risp.parola1 $did(saluti,24) }
n107=on *:dialog:saluti:edit:25: { set %risp.risposta1 $did(saluti,25) }
n108=on *:dialog:saluti:edit:26: { set %risp.parola2 $did(saluti,26) }
n109=on *:dialog:saluti:edit:27: { set %risp.risposta2 $did(saluti,27) }
n110=on *:dialog:saluti:edit:28: { set %risp.parola3 $did(saluti,28) }
n111=on *:dialog:saluti:edit:29: { set %risp.risposta3 $did(saluti,29) }
n112=on *:dialog:saluti:edit:30: { set %risp.parola4 $did(saluti,30) }
n113=on *:dialog:saluti:edit:31: { set %risp.risposta4 $did(saluti,31) }
n114=
n115=;----->>>> EVENTI <<<<-----;
n116=
n117=on *:join:#: {
n118=  if ($nick != &me) && ($me ison $chan) && (%user.join = on) { notice $nick %user.join.mess $chan  }
n119=  if ($nick = $me) && (%chan.join = on) && ($me ison $chan) { msg # %chan.join.mess }
n120=}
n121=
n122=on *:part:#: {
n123=  if ($nick !== $me) && ($me ison $chan) && (%user.part = on) { notice $nick %user.part.mess $chan  }
n124=}
n125=
n126=on *:text:*:#: {
n127=  if ($nick != $me) && ($me isin $1-) && (%risp.saluto = on) {
n128=    if (%risp.parola1 isin $1-) { msg $chan 13 $+ $nick %risp.risposta1 }
n129=    if (%risp.parola2 isin $1-) { msg $chan 13 $+ $nick %risp.risposta2 }
n130=    if (%risp.parola3 isin $1-) { msg $chan 13 $+ $nick %risp.risposta3 }
n131=    if (%risp.parola4 isin $1-) { msg $chan 13 $+ $nick %risp.risposta4 }
n132=  }
n133=}
